# Create vendorPaymentJournals
Create a vendorPaymentJournal object in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/vendorPaymentJournals
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of vendorPaymentJournals object.
## Response
If successful, this method returns ```201 Created``` response code and a vendorPaymentJournals object in the response body.
## Example
Request
Here's an example of a request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/vendorPaymentJournals
Content-type: application/json

{
  "code": "OTTER",
  "displayName": "Otter cash receipts and payments",
  "balancingAccountId": "021c2ed0-021d-ed11-9db9-000d3aa935da"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json

{
  "id": "1377cc08-eb23-ed11-88e7-f2834877f72d",
  "code": "OTTER",
  "displayName": "Otter cash receipts and payments",
  "balancingAccountId": "021c2ed0-021d-ed11-9db9-000d3aa935da",
  "balancingAccountNumber": "10700",
  "lastModifiedDateTime": "2022-08-24T20:26:30.03Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_vendorpaymentjournal
dynamics_vendorpaymentjournal_get
dynamics_vendorpaymentjournal_delete
dynamics_vendorpaymentjournal_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_vendorpaymentjournal_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_vendorpaymentjournal_create/
